<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Payroll Lecturer</title>
</head>
<body>
<section class="content-header" layout:fragment="breadcrumb">
    <h1>
        Payroll
        <small th:text="${employess.getCompanies().getCompanyName()}">Control panel</small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Payroll</a></li>
        <li class="active">Update</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">
        <div class="col-md-12">
            <div class="box">
                <div class="box-header with-header">
                    <h4><b>Payroll Lecturer</b></h4>
                </div>
                <div class="box-header" th:if="${success != null}">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="callout callout-success">
                                <h4>Save Data Success!</h4>

                                <p>Data Berhasil Disimpan.</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="box-header with-header">
                    <div class="row">
                        <div class="col-md-12">
                            <!-- Button trigger modal -->
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                                <i class="fa fa-plus-circle"></i> Add
                            </button>

                            <!-- Modal -->
                            <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <form th:action="@{/payroll/lecturer/save}" method="post" th:object="${lecturerSalary}">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Add New</h5>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="form-group">
                                                    <label>Lecturer</label>
                                                    <select name="idLecturer" th:field="*{lecturer}" class="form-control select2" style="width: 100%;">
                                                        <option value="" selected disabled>-- Select Value --</option>
                                                        <option th:each="dataLecturer, row:${lecturer}"
                                                                th:text="${dataLecturer[1]}"
                                                                th:value="${dataLecturer[0]}"></option>
                                                    </select>
                                                </div>
                                                <div class="form-group">
                                                    <label>Effective Date</label>
                                                    <input type="date" class="form-control" name="tanggalBerlaku" th:field="*{tanggalBerlaku}">
                                                </div>
                                                <div class="form-group">
                                                    <label>Salary per SKS</label>
                                                    <input type="text" class="form-control" name="salaryPerSks" th:field="*{salaryPerSks}">
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                <button type="submit" class="btn btn-primary">Save changes</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="box-body table-responsive no-padding">
                    <table class="table table-striped">
                        <tr>
                            <th>#</th>
                            <th>Start</th>
                            <th>Name</th>
                            <th>Salary per SKS</th>
                            <th>Status</th>
                            <th></th>
                            <th></th>
                        </tr>
                        <tr th:each="data, row:${lecturerSalaryList}">
                            <td th:text="${(row.index + 1) + (lecturerSalaryList.number * lecturerSalaryList.size)}">1</td>
                            <td th:text="${#temporals.format(data.getTanggalBerlaku(),'dd-MMM-yyyy')}">2</td>
                            <td th:text="${data.getLecturer().getName()}">2</td>
                            <td th:text="${data.getSalaryPerSks()}"></td>
                            <td th:text="${data.getStatus()}"></td>
                            <td>
<!--                                <a class="btn btn-primary" th:href="@{/payroll/lecturer/edit(lecturerSalary = data.getId())}">Edit</a>-->

                                <button type="button" class="btn btn-primary btn-xs" data-toggle="modal" th:data-target="${'#edit' + data.getId()}">
                                    Edit
                                </button>

                                <div class="modal fade" th:id="${'edit' + data.getId()}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <form th:action="@{/payroll/lecturer/update(id = ${data.getId()})}" method="post">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="edi">Edit Data</h5>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="form-group">
                                                        <label>Lecturer</label>
                                                        <select name="idLecturer" class="form-control select2" style="width: 100%;">
                                                            <option th:value="${data.getLecturer().getId()}" selected th:text="${data.getLecturer().getName()}"></option>
                                                            <option th:each="dataLecturer, row:${lecturer}"
                                                                    th:text="${dataLecturer[1]}"
                                                                    th:value="${dataLecturer[0]}"></option>
                                                        </select>
                                                    </div>
                                                    <div class="form-group">
                                                        <label>Effective Date</label>
                                                        <input type="date" class="form-control" name="tanggalBerlaku" th:value="${data.getTanggalBerlaku()}">
                                                    </div>
                                                    <div class="form-group">
                                                        <label>Salary per SKS</label>
                                                        <input type="text" class="form-control" name="salaryPerSks" th:value="${data.getSalaryPerSks()}">
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-danger">Update</button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>

                            </td>
                            <td>
                                <button type="button" class="btn btn-danger btn-xs" data-toggle="modal" th:data-target="${'#delete' + data.getId()}">
                                    delete
                                </button>

                                <!-- Modal -->
                                <div class="modal fade" th:id="${'delete' + data.getId()}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <form th:action="@{/payroll/lecturer/delete(id = ${data.getId()})}" method="post">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="del">Info</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    are you sure you want to delete this data ?
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-danger">Delete</button>
                                                </div>
                                             </div>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="box-footer clearfix">
                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                        <li class="disabled"><a href="#" aria-label="Previous"><span
                                aria-hidden="true">&laquo;</span></a>
                        </li>
                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });
    </script>
</section>
</body>
</html>